set nocount on
go
use Connections
go

set statistics io on
go

create procedure OrderStatus (
  @OrderList       varchar(1000)
) as
  declare @sql nvarchar(1000)
  set @sql = '
    select
      OrderID,
      OrderDate,
      ShippedDate
    from Northwind..Orders
    where OrderID in ('
  + @OrderList + ')'
  select @sql
  exec (@sql)
go













declare @OrderList varchar(100)
set @OrderList = '10278,10832,11008'

exec OrderStatus @OrderList
go







alter procedure OrderStatus (
  @OrderList       varchar(1000)
) as
    select
      OrderID,
      OrderDate,
      ShippedDate
    from Northwind..Orders
    where OrderID in (
      substring(@OrderList, 1,5),
      substring(@OrderList, 8,5),
      substring(@OrderList,15,5)
    )
go

declare @OrderList varchar(100)
set @OrderList = '10278
10832
11008
'

exec OrderStatus @OrderList
go
set statistics io off
go

drop proc OrderStatus