set nocount on
go
create procedure OrderStatus (
  @OrderList       varchar(1000)
) as
    select
      OrderID,
      OrderDate,
      ShippedDate
    from Northwind..Orders
    where OrderID in (
      coalesce(substring(@OrderList, 1,6), 0),
      coalesce(substring(@OrderList, 9,6), 0),
      coalesce(substring(@OrderList,17,6), 0),
      coalesce(substring(@OrderList,25,6), 0),
      coalesce(substring(@OrderList,33,6), 0),
      coalesce(substring(@OrderList,41,6), 0)
    )
go
set statistics io on
go

declare @OrderList varchar(72)
set @OrderList = '010278
011008
010832
011008
010987
010678
'

exec OrderStatus @OrderList
go
set statistics io off
go

-- drop proc OrderStatus