-- drop proc OrderStatus
create procedure OrderStatus (
  @OrderList  varchar(1000),
  @numItems   int
) as

  select
    OrderID,
    OrderDate,
    ShippedDate
  from Northwind..Orders, N8000
  where OrderID = substring(@OrderList,1+N*8,6)
  and N < @numItems
go

set statistics io on
go

declare @OrderList varchar(72)
set @OrderList = '010278
011008
010832
011008
010987
010678
'

exec OrderStatus @OrderList, 6
go
set statistics io off
go

drop proc OrderStatus